<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>D&D Registration</title>
</head>
<body>
   
<?php include('header.php'); ?>   
   
<?php
// Capture form data
if (isset($_POST['first_name'])) {
    $first_name = $_POST['first_name'];
} else {
    $first_name = '';
}

if (isset($_POST['last_name'])) {
    $last_name = $_POST['last_name'];
} else {
    $last_name = '';
}

if (isset($_POST['email'])) {
    $email = $_POST['email'];
} else {
    $email = '';
}

if (isset($_POST['gender'])) {
    $gender = $_POST['gender'];
} else {
    $gender = '';
}

if (isset($_POST['available'])) {
    $available = $_POST['available'];
} else {
    $available = '';
}

if (isset($_POST['experience'])) {
    $experience = $_POST['experience'];
} else {
    $experience = [];
}

if (isset($_POST['species'])) {
    $species = $_POST['species'];
} else {
    $species = [];
}

if (isset($_POST['class'])) {
    $class = $_POST['class'];
} else {
    $class = [];
}

if (isset($_POST['year'])) {
    $year = $_POST['year'];
} else {
    $year = '';
}

if (isset($_POST['comments'])) {
    $comments = $_POST['comments'];
} else {
    $comments = '';
}

$errors = [];

// Basic validation for required fields
if (empty($first_name)) {
    $errors[] = "First Name is required.";
}
if (empty($last_name)) {
    $errors[] = "Last Name is required.";
}
if (empty($email)) {
    $errors[] = "Email is required.";
}
if (empty($gender)) {
    $errors[] = "Gender selection is required.";
}
if (empty($available)) {
    $errors[] = "Availability to start playing is required.";
}

if (!empty($errors)) {
    // Display errors if any required fields are missing
    echo "<h2>Please correct the following errors:</h2><ul>";
    foreach ($errors as $error) {
        echo "<li>$error</li>";
    }
    echo "</ul>";
} else {
    // Display the submitted information
    echo "<h2>Thank you for registering! Here's the information you submitted:</h2>";
    echo "<strong>First Name:</strong> $first_name<br>";
    echo "<strong>Last Name:</strong> $last_name<br>";
    echo "<strong>Email:</strong> $email<br>";
    echo "<strong>Gender:</strong> $gender<br>";
    echo "<strong>Available to Start Playing:</strong> $available<br>";

    $experience_string = '';
    foreach ($experience as $exp) {
        $experience_string .= $exp . ', ';
    }
    $experience_string = rtrim($experience_string, ', ');

    echo "<strong>Years of Playing Experience:</strong> $experience_string<br>";

    $species_string = '';
    foreach ($species as $spec) {
        $species_string .= $spec . ', ';
    }
    $species_string = rtrim($species_string, ', ');

    echo "<strong>Preferred Species:</strong> $species_string<br>";

    $class_string = '';
    foreach ($class as $cls) {
        $class_string .= $cls . ', ';
    }
    $class_string = rtrim($class_string, ', ');

    echo "<strong>Preferred Class:</strong> $class_string<br>";

    echo "<strong>Year of Birth:</strong> $year<br>";
    echo "<strong>Additional Comments:</strong> $comments<br>";
}
?>

<?php include('footer.php'); ?>

</body>
</html>